--------------------------------------------
-- @Author  : htp
-- @Editor  : htp
-- @Date    : 2019-01-10 19:16:26
-- @description    : 
		-- 128 元基金
---------------------------------
ActionFundOnePanel = class("ActionFundOnePanel", function()
    return ccui.Widget:create()
end)

local _controller = ActionController:getInstance()
local _model = _controller:getModel()

function ActionFundOnePanel:ctor(bid)
    self.parent = container
    self.fund_bid = bid
    self.cell_data_list = {}
    self.role_vo = RoleController:getInstance():getRoleVo()
    self:configUI()
    self:register_event()
end

function ActionFundOnePanel:configUI(  )
    --self.root_wnd = createCSBNote(PathTool.getTargetCSB("action/action_fund_panel"))
    self.root_wnd = createCSBNote(PathTool.getTargetCSB("action/gw_action_fund_one_panel"))
    self.root_wnd:setPosition(0,0)
    self:addChild(self.root_wnd)
    self:setCascadeOpacityEnabled(true)
    self:setAnchorPoint(0, 0)

    self.main_container = self.root_wnd:getChildByName("main_container")

    self.img1 = self.main_container:getChildByName("img1")
    local res = PathTool.getPlistImgForDownLoad("gw_action_fund", "gw_action_fund_03", false)
    self.img1_load = loadSpriteTextureFromCDN(self.img1, res, ResourcesType.single, self.img1_load)
    self.img3 = self.main_container:getChildByName("img3")
    local res = PathTool.getPlistImgForDownLoad("gw_action_fund", "gw_action_fund_07", false)
    self.img3_load = loadSpriteTextureFromCDN(self.img3, res, ResourcesType.single, self.img3_load)

    self.tips_label1 = self.main_container:getChildByName("tips_label1")
    StringUtil.gw_setLabelContent(self.tips_label1, UI_TI18N(69000), 660)
    self.tips_label2_node = self.main_container:getChildByName("tips_label2_node")
    self.desc_txt = createRichLabel(22, cc.c4b(0xff,0xff,0xff,0xff), cc.p(1, 0.5), cc.p(0, 0), nil, nil, 1000)
    self.tips_label2_node:addChild(self.desc_txt)

    self.not_buy_panel = self.main_container:getChildByName("not_buy_panel")
    self.not_buy_panel:setVisible(false)

    self.buy_panel = self.main_container:getChildByName("buy_panel")
    self.not_buy_panel:setVisible(false)

    self.goods_list = self.main_container:getChildByName("goods_list")
    self.goods_list:setVisible(false)
    self.list_cover = self.main_container:getChildByName("list_cover")

    --
    --local image_bg = self.main_container:getChildByName("image_bg")
    --image_bg:loadTexture(PathTool.getPlistImgForDownLoad("bigbg/action","txt_cn_action_fund_bg_1",true), LOADTEXT_TYPE)
    --
    --self.desc_txt = createRichLabel(24, 1, cc.p(0.5, 0.5), cc.p(495, 648), 12, nil, 500)
    --self.main_container:addChild(self.desc_txt)
    --
    --self.btn_award = self.main_container:getChildByName("btn_award")
    --self.btn_award:setPositionY(755)
    --local btn_award_label = self.btn_award:getChildByName("label")
    --btn_award_label:setString(TI18N("奖励预览"))
    --local award_title = self.main_container:getChildByName("award_title")
    --award_title:setString(TI18N("部分奖励预览"))
    --
    --self.not_buy_panel = self.main_container:getChildByName("not_buy_panel")
    --self.not_buy_panel:setPositionY(400)
    --self.not_buy_panel:setVisible(true)
    --self.buy_btn = self.not_buy_panel:getChildByName("buy_btn")
    --self.buy_btn_label = self.buy_btn:getChildByName("label")
    --
    --local bottom_txt = createRichLabel(26, cc.c4b(0xff,0xea,0xb6,0xff), cc.p(0.5, 0.5), cc.p(360, 135), nil, nil, 500)
    --local bottom_str = string.format(TI18N("超值基金和豪华基金可同时购买哦"))
    --bottom_txt:setString(bottom_str)
    --self.not_buy_panel:addChild(bottom_txt)
    --
    --local top_txt = createRichLabel(26, cc.c4b(0xff,0xea,0xb6,0xff), cc.p(0.5, 0.5), cc.p(565, 550), nil, nil, 500)
    --local top_str = string.format(TI18N("至尊月卡用户可激活"))
    --top_txt:setString(top_str)
    --self.main_container:addChild(top_txt)
    --
    --self.buy_panel = self.main_container:getChildByName("buy_panel")
    --self.buy_panel:setPositionY(400)
    --self.buy_panel:setVisible(false)
    --self.buy_panel:getChildByName("title_time"):setString(TI18N("领取时间："))
    --self.buy_panel:getChildByName("tips_txt"):setString(TI18N("(每天登陆累计1天，最大30天)"))
    --
    --self.total_day_txt = self.buy_panel:getChildByName("total_day_txt")
    --self.time_txt = self.buy_panel:getChildByName("txt_time")
    --self.get_btn = self.buy_panel:getChildByName("get_btn")
    --self.get_btn_label = self.get_btn:getChildByName("label")
    --self.get_btn_label:setString(TI18N("领取"))
    --
    --self.goods_list = self.main_container:getChildByName("goods_list")
    --self:updateScrollviewList()
    self:updateView()
end

--function ActionFundOnePanel:updateScrollviewList()
--    if self.child_scrollview == nil then
--        local scroll_view_size = self.goods_list:getContentSize()
--        local setting = {
--            start_x = 0,                     -- 第一个单元的X起点
--            space_x = 25,                     -- x方向的间隔
--            start_y = 0,                     -- 第一个单元的Y起点
--            space_y = 10,                     -- y方向的间隔
--            item_width = 115,                -- 单元的尺寸width
--            item_height = 129,               -- 单元的尺寸height
--            row = 0,                         -- 行数，作用于水平滚动类型
--            col = 4,                         -- 列数，作用于垂直滚动类型
--            delay = 4,                       -- 创建延迟时间
--            once_num = 1,                    -- 每次创建的数量
--        }
--        self.child_scrollview = CommonScrollViewSingleLayout.new(self.goods_list, cc.p(0,300) , ScrollViewDir.vertical, ScrollViewStartPos.top, scroll_view_size, setting, cc.p(0, 0))
--
--        self.child_scrollview:registerScriptHandlerSingle(handler(self,self.createNewCell), ScrollViewFuncType.CreateNewCell) --创建cell
--        self.child_scrollview:registerScriptHandlerSingle(handler(self,self.numberOfCells), ScrollViewFuncType.NumberOfCells) --获取数量
--        self.child_scrollview:registerScriptHandlerSingle(handler(self,self.updateCellByIndex), ScrollViewFuncType.UpdateCellByIndex) --更新cell
--    end
--    self.child_scrollview:reloadData()
--end
--
----创建cell
----@width 是setting.item_width
----@height 是setting.item_height
--function ActionFundOnePanel:createNewCell(width, height)
--    local cell = ActionFuncOneItem.new()
--	return cell
--end
--
----获取数据数量
--function ActionFundOnePanel:numberOfCells()
--    if not self.cell_data_list then return 0 end
--    return #self.cell_data_list
--end
--
----更新cell(拖动的时候.刷新数据时候会执行次方法)
----cell :createNewCell的返回的对象
----inde :数据的索引
--function ActionFundOnePanel:updateCellByIndex(cell, index)
--    if not self.cell_data_list then return end
--    cell.index = index
--    local cell_data = self.cell_data_list[index]
--    if not cell_data then return end
--    cell:setData(cell_data)
--end

-- 更新整个界面
function ActionFundOnePanel:updateView(  )
    if not self.fund_bid then return end
    local config = Config.MonthFundData.data_fund_data[self.fund_bid]

    if not config then return end

    self.func_config = config
	-- 描述内容
    self.desc_txt:setString(config.desc)
    ---- 档次
    --self.buy_btn_label:setString(config.val .. TI18N("元"))

    self:setData()
end

-- 设置服务器数据相关UI显示
function ActionFundOnePanel:setData(  )
    local srv_data = _model:getFundSrvDataById(self.fund_bid)

    if not srv_data or next(srv_data) == nil then
        return
    end

    self.srv_data = srv_data

    self:gw_updateNotBuyPanel()
    self:gw_updateBuyPanel()
    self:gw_updateRewardItemList()


    --
    ---- 30天奖励
    --local award_list = Config.MonthFundData.data_fund_award[srv_data.group_id] or {}
    --local group_award = Config.MonthFundData.data_fund_group[srv_data.group_id] or {}
    ----dump(award_list, "award_list = ", 8)
    ----dump(group_award, "group_award = ", 8)
    ---- 部分奖励数据预览
    --if group_award then
    --    local award_data = {}
    --    for i,day in ipairs(group_award.reward) do
    --        local show_effect = false
    --        if group_award.effect_val ~= nil and next(group_award.effect_val) ~= nil then
    --            for k, v in ipairs(group_award.effect_val) do
    --                if v == day then
    --                    show_effect = true
    --                    break
    --                end
    --            end
    --        end
    --        local day_award = {}
    --        day_award.day = day
    --        day_award.award = award_list[day] or {}
    --        day_award.show_effect = show_effect
    --        table.insert(award_data, day_award)
    --    end
    --    --dump(award_data, "award_data = ", 8)
    --    self.cell_data_list = award_data
    --    self.child_scrollview:reloadData()
    --end
    --
    ---- 购买状态
    --if srv_data.status == 0 or srv_data.status == 3 then
    --    self.not_buy_panel:setVisible(true)
    --    self.buy_panel:setVisible(false)
    --    if srv_data.status == 0 then
    --        setChildUnEnabled(false, self.buy_btn)
    --        self.buy_btn_label:enableOutline(Config.ColorData.data_color4[277], 2)
    --        --self.buy_btn:setTouchEnabled(true)
    --    else
    --        setChildUnEnabled(true, self.buy_btn)
    --        self.buy_btn_label:disableEffect(cc.LabelEffect.OUTLINE)
    --        --self.buy_btn:setTouchEnabled(false)
    --    end
    --elseif srv_data.status == 1 or srv_data.status == 2 then
    --    self.not_buy_panel:setVisible(false)
    --    self.buy_panel:setVisible(true)
    --
    --    -- 当前累计几天
    --    self.total_day_txt:setString(string.format(TI18N("当前累计：%d天"), srv_data.current_day))
    --    -- 领取时间
    --    local begin_time = srv_data.endtime - (30*24*60*60)
    --    self.time_txt:setString(TimeTool.getMD2(begin_time) .. "~" .. TimeTool.getMD2(srv_data.endtime-1))
    --    -- 奖励图标
    --    local award = award_list[srv_data.current_day] or {}
    --    if award then
    --        local bid = award[1][1]
    --        local num = award[1][2]
    --        if not self.award_node then
    --            self.award_node = BackPackItem.new(false, true, false, 0.9, false, true)
    --            self.award_node:setDefaultTip(true,false)
    --            self.award_node:setPosition(cc.p(108, 104))
    --            self.buy_panel:addChild(self.award_node)
    --        end
    --        self.award_node:setBaseData(bid, num)
    --    end
    --
    --    -- 领取按钮状态
    --    if srv_data.status == 1 then
    --        setChildUnEnabled(false, self.get_btn)
    --        self.get_btn:setTouchEnabled(true)
    --        self.get_btn_label:setString(TI18N("领取"))
    --        self.get_btn_label:enableOutline(cc.c3b(43, 97, 13), 2)
    --    else
    --        setChildUnEnabled(true, self.get_btn)
    --        self.get_btn:setTouchEnabled(false)
    --        self.get_btn_label:setString(TI18N("已领取"))
    --        self.get_btn_label:disableEffect(cc.LabelEffect.OUTLINE)
    --    end
    --end
end

function ActionFundOnePanel:register_event(  )
	--registerButtonEventListener(self.buy_btn, handler(self, self._onClickBuyBtn), false)
	--registerButtonEventListener(self.get_btn, handler(self, self._onClickGetBtn), false)
	--registerButtonEventListener(self.btn_award, handler(self, self._onClickAwardBtn), true)

    if not self.update_fund_data_event  then
        self.update_fund_data_event = GlobalEvent:getInstance():Bind(ActionEvent.UPDATA_FUND_DATA_EVENT,function (id)
            if self.fund_bid == id then
                self:setData()
            end
        end)
    end


end

function ActionFundOnePanel:_onClickBuyBtn(  )
	if self.srv_data and self.srv_data.status == 0 and self.func_config then
        local charge_id = self.func_config.charge_id
        local charge_config = Config.ChargeData.data_charge_data[charge_id or 0]
        if charge_config then
            --sdkOnPay(charge_config.val, nil, charge_config.id, charge_config.name, charge_config.name)
            VipController:getInstance():gw_openGiftPayTypeSelectWindow(true, GW_GIFT_TYPE.Fund, charge_config.id)

        end
    elseif self.srv_data and self.srv_data.status == 3 then
        message(UI_TI18N(69001))
    end
end

function ActionFundOnePanel:_onClickGetBtn(  )
	if self.srv_data and self.srv_data.status == 1 then
        _controller:sender24702(self.srv_data.id)
    end
end

--function ActionFundOnePanel:_onClickAwardBtn(  )
--	if self.srv_data then
--		_controller:openActionFundAwardWindow(true, self.srv_data.group_id, self.fund_bid)
--	end
--end

function ActionFundOnePanel:setVisibleStatus(bool)
    bool = bool or false
    self:setVisible(bool)
    ----dump(debug.traceback(), "ActionFundOnePanel:setVisibleStatus = ", 8)
    if bool == true then
        local srv_data = _model:getFundSrvDataById(self.fund_bid)
        if not srv_data or next(srv_data) == nil then --没有数据时则请求
            _controller:sender24701(self.fund_bid)
        end
        local welfare_data = _model:getFundIsInWelfare()
        if welfare_data ~= nil and next(welfare_data) ~= nil then
            for i,v in ipairs(welfare_data) do
                if v.id == self.fund_bid then
                    WelfareController:getInstance():sender24703(self.fund_bid)
                end
            end
        end
    end
end

function ActionFundOnePanel:DeleteMe(  )
    if self.img1_load then
        self.img1_load:DeleteMe()
        self.img1_load = nil
    end
    if self.img3_load then
        self.img3_load:DeleteMe()
        self.img3_load = nil
    end
    if self.not_buy_panel_scrollview then
        self.not_buy_panel_scrollview:DeleteMe()
        self.not_buy_panel_scrollview = nil
    end
    if self.buy_panel_item then
        self.buy_panel_item:DeleteMe()
        self.buy_panel_item = nil
    end
    if self.goods_list_scrollview then
        self.goods_list_scrollview:DeleteMe()
        self.goods_list_scrollview = nil
    end

	--if self.child_scrollview then
	--	self.child_scrollview:DeleteMe()
	--	self.child_scrollview = nil
	--end
    --if self.award_node then
    --    self.award_node:DeleteMe()
    --    self.award_node = nil
    --end
    if self.update_fund_data_event then
        GlobalEvent:getInstance():UnBind(self.update_fund_data_event)
        self.update_fund_data_event = nil
    end
end

function ActionFundOnePanel:gw_updateNotBuyPanel()
    if not self.srv_data or next(self.srv_data) == nil then
        self.not_buy_panel:setVisible(false)
        return
    end

    if self.srv_data.status ~= 0 and self.srv_data.status ~= 3 then
        self.not_buy_panel:setVisible(false)
        return
    end

    if self.not_buy_panel_buy_btn == nil then
        self.not_buy_panel_tips_label = self.not_buy_panel:getChildByName("tips_bg"):getChildByName("label")
        StringUtil.gw_setLabelContent(self.not_buy_panel_tips_label, UI_TI18N(69002), 400)

        self.not_buy_panel_buy_btn = self.not_buy_panel:getChildByName("buy_btn")
        self.not_buy_panel_buy_btn:addTouchEventListener(function(sender, event_type)
            customClickAction_4(sender, event_type)
            if event_type == ccui.TouchEventType.ended then
                playButtonSound2()
                self:_onClickBuyBtn()
            end
        end)
        self.not_buy_panel_buy_btn_label = self.not_buy_panel_buy_btn:getChildByName("label")
        local buy_btn_str = UI_TI18N(69003)
        local config = Config.MonthFundData.data_fund_data[self.fund_bid]
        if config and config.val then
            buy_btn_str = StringFormat(UI_TI18N(66003), config.val)
        end
        StringUtil.gw_setLabelContent(self.not_buy_panel_buy_btn_label, buy_btn_str, 230)


        local scrollview = self.not_buy_panel:getChildByName("scrollview")
        local scroll_view_size = scrollview:getContentSize()
        local setting = {
            start_x = 27,                     -- 第一个单元的X起点
            space_x = 13,                     -- x方向的间隔
            start_y = 14,                     -- 第一个单元的Y起点
            space_y = 0,                     -- y方向的间隔
            item_width = GW_GoodsItem3.Width*0.74,      -- 单元的尺寸width
            item_height = GW_GoodsItem3.Height*0.74,    -- 单元的尺寸height
            row = 1,                         -- 行数，作用于水平滚动类型
            col = 1,                         -- 列数，作用于垂直滚动类型
            delay = 4,                       -- 创建延迟时间
            once_num = 1,                    -- 每次创建的数量
        }
        self.not_buy_panel_scrollview = CommonScrollViewSingleLayout.new(scrollview, cc.p(0,0) , ScrollViewDir.horizontal, ScrollViewStartPos.top, scroll_view_size, setting, cc.p(0, 0))

        self.not_buy_panel_scrollview:registerScriptHandlerSingle(handler(self,self.gw_notBuyPanelCreateNewCell), ScrollViewFuncType.CreateNewCell) --创建cell
        self.not_buy_panel_scrollview:registerScriptHandlerSingle(handler(self,self.gw_notBuyPanelNumberOfCells), ScrollViewFuncType.NumberOfCells) --获取数量
        self.not_buy_panel_scrollview:registerScriptHandlerSingle(handler(self,self.gw_notBuyPanelUpdateCellByIndex), ScrollViewFuncType.UpdateCellByIndex) --更新cell
    end

    local award_list = Config.MonthFundData.data_fund_award[self.srv_data.group_id] or {}
    local group_award = Config.MonthFundData.data_fund_group[self.srv_data.group_id] or {}
    -- 部分奖励数据预览
    if group_award then
        local award_data = {}
        for i,day in ipairs(group_award.reward) do
            local show_effect = false
            if group_award.effect_val ~= nil and next(group_award.effect_val) ~= nil then
                for k, v in ipairs(group_award.effect_val) do
                    if v == day then
                        show_effect = true
                        break
                    end
                end
            end
            local day_award = {}
            day_award.day = day
            day_award.award = award_list[day] or {}
            day_award.show_effect = show_effect
            table.insert(award_data, day_award)
        end
        self.gw_not_buy_panel_cell_data_list = award_data
        self.not_buy_panel_scrollview:reloadData()
        self.not_buy_panel_scrollview:setVisible(true)
    else
        self.not_buy_panel_scrollview:setVisible(false)
    end

    if self.srv_data.status == 0 then
        setChildUnEnabled(false, self.not_buy_panel_buy_btn)
        self.not_buy_panel_buy_btn_label:enableOutline(cc.c4b(0x91,0x50,0x13,0xff), 2)
        --self.not_buy_panel_buy_btn:setTouchEnabled(true)
    else
        setChildUnEnabled(true, self.not_buy_panel_buy_btn)
        self.not_buy_panel_buy_btn_label:disableEffect(cc.LabelEffect.OUTLINE)
        --self.not_buy_panel_buy_btn:setTouchEnabled(false)
    end

    self.not_buy_panel:setVisible(true)
end
--创建cell
--@width 是setting.item_width
--@height 是setting.item_height
function ActionFundOnePanel:gw_notBuyPanelCreateNewCell(width, height)
    local cell = GW_GoodsItem3.new(true,true, false, 0.74)
    cell:setDefaultTip()
    cell:setSwallowTouches(false)
    cell:setScale(0.74)
    cell:gw_showShadow()
    return cell
end
--获取数据数量
function ActionFundOnePanel:gw_notBuyPanelNumberOfCells()
    if not self.gw_not_buy_panel_cell_data_list then return 0 end
    return #self.gw_not_buy_panel_cell_data_list
end
--更新cell(拖动的时候.刷新数据时候会执行次方法)
--cell :createNewCell的返回的对象
--inde :数据的索引
function ActionFundOnePanel:gw_notBuyPanelUpdateCellByIndex(cell, index)
    if not self.gw_not_buy_panel_cell_data_list then return end
    cell.index = index
    local cell_data = self.gw_not_buy_panel_cell_data_list[index]
    if not cell_data then return end
    if cell_data.award and next(cell_data.award) and cell_data.award[1] and cell_data.award[1][1] and cell_data.award[1][2] then
        cell:setBaseData(cell_data.award[1][1], cell_data.award[1][2])
    end
end

function ActionFundOnePanel:gw_updateBuyPanel()
    if not self.srv_data or next(self.srv_data) == nil then
        self.buy_panel:setVisible(false)
        return
    end

    if self.srv_data.status ~= 1 and self.srv_data.status ~= 2 then
        self.buy_panel:setVisible(false)
        return
    end

    if self.buy_panel_get_btn == nil then
        self.buy_panel_tips_label = self.buy_panel:getChildByName("tips_bg"):getChildByName("label")
        StringUtil.gw_setLabelContent(self.buy_panel_tips_label, UI_TI18N(69004), 400)

        self.buy_panel_get_btn = self.buy_panel:getChildByName("get_btn")
        self.buy_panel_get_btn:setVisible(false)
        self.buy_panel_get_btn:addTouchEventListener(function(sender, event_type)
            customClickAction_4(sender, event_type)
            if event_type == ccui.TouchEventType.ended then
                playButtonSound2()
                self:_onClickGetBtn()
            end
        end)
        self.buy_panel_get_btn_label = self.buy_panel_get_btn:getChildByName("label")
        StringUtil.gw_setLabelContent(self.buy_panel_get_btn_label, UI_TI18N(69005), 230)

        self.buy_panel_getted_btn = self.buy_panel:getChildByName("getted_btn")
        self.buy_panel_getted_btn:setVisible(false)
        self.buy_panel_getted_btn_label = self.buy_panel_getted_btn:getChildByName("label")
        StringUtil.gw_setLabelContent(self.buy_panel_getted_btn_label, UI_TI18N(69006), 230)
        setChildUnEnabled(true, self.buy_panel_getted_btn)

        local time_tips_bg = self.buy_panel:getChildByName("time_tips_bg")
        self.buy_panel_time_tips1 = time_tips_bg:getChildByName("label1")
        self.buy_panel_time_tips2 = time_tips_bg:getChildByName("label2")

        self.buy_panel_item_node = self.buy_panel:getChildByName("item_node")
    end

    local begin_time = self.srv_data.endtime - (30*24*60*60)
    local begin_time_str = TimeTool.getMD2(begin_time)
    local end_time_str = TimeTool.getMD2(self.srv_data.endtime)
    local time_tips1_str = StringFormat(UI_TI18N(69007), begin_time_str, end_time_str)
    StringUtil.gw_setLabelContent(self.buy_panel_time_tips1, time_tips1_str, 240)
    local time_tips2_str = StringFormat(UI_TI18N(69008), self.srv_data.current_day)
    StringUtil.gw_setLabelContent(self.buy_panel_time_tips2, time_tips2_str, 196)
    -- 奖励图标
    local award_list = Config.MonthFundData.data_fund_award[self.srv_data.group_id] or {}
    if award_list then
        local award = award_list[self.srv_data.current_day] or {}
        if award then
            local bid = award[1][1]
            local num = award[1][2]
            if not self.buy_panel_item then
                self.buy_panel_item = GW_GoodsItem3.new(false, true, false, 0.74, true, true)
                self.buy_panel_item:setDefaultTip(true,false)
                self.buy_panel_item:setPosition(cc.p(0, 0))
                self.buy_panel_item_node:addChild(self.buy_panel_item)
            end
            self.buy_panel_item:setBaseData(bid, num)
            self.buy_panel_item_node:setVisible(true)
        else
            self.buy_panel_item_node:setVisible(false)
        end
    else
        self.buy_panel_item_node:setVisible(false)
    end

    -- 领取按钮状态
    if self.srv_data.status == 1 then
        self.buy_panel_get_btn:setVisible(true)
        self.buy_panel_getted_btn:setVisible(false)
    else
        self.buy_panel_get_btn:setVisible(false)
        self.buy_panel_getted_btn:setVisible(true)
    end

    self.buy_panel:setVisible(true)
end

function ActionFundOnePanel:gw_updateRewardItemList()
    if not self.srv_data or next(self.srv_data) == nil then
        self.goods_list:setVisible(false)
        return
    end

    local is_keep_position = false
    if self.goods_list_scrollview == nil then
        local scroll_view_size = self.goods_list:getContentSize()
        local setting = {
            start_x = 23,                     -- 第一个单元的X起点
            space_x = 2,                     -- x方向的间隔
            start_y = 18,                     -- 第一个单元的Y起点
            space_y = 2,                     -- y方向的间隔
            item_width = 154,                -- 单元的尺寸width
            item_height = 154,               -- 单元的尺寸height
            row = 1,                         -- 行数，作用于水平滚动类型
            col = 5,                         -- 列数，作用于垂直滚动类型
            delay = 4,                       -- 创建延迟时间
            once_num = 1,                    -- 每次创建的数量
        }
        self.goods_list_scrollview = CommonScrollViewSingleLayout.new(self.goods_list, cc.p(0,0) , ScrollViewDir.vertical, ScrollViewStartPos.top, scroll_view_size, setting, cc.p(0, 0))

        self.goods_list_scrollview:registerScriptHandlerSingle(handler(self,self.gw_goodsListCreateNewCell), ScrollViewFuncType.CreateNewCell) --创建cell
        self.goods_list_scrollview:registerScriptHandlerSingle(handler(self,self.gw_goodsListNumberOfCells), ScrollViewFuncType.NumberOfCells) --获取数量
        self.goods_list_scrollview:registerScriptHandlerSingle(handler(self,self.gw_goodsListUpdateCellByIndex), ScrollViewFuncType.UpdateCellByIndex) --更新cell

        local award_config = Config.MonthFundData.data_fund_award[self.srv_data.group_id] or {}
        local award_data = {}
        for day,award in ipairs(award_config) do
            local day_award = {}
            day_award.day = day
            day_award.award = award
            day_award.fund_id = self.fund_bid
            day_award.is_getted = false
            day_award.is_can_get = false
            table.insert(award_data, day_award)
        end
        self.gw_goods_list_cell_data_list = award_data
    else
        is_keep_position = true
    end

    self.gw_goods_list_cell_data_list = self.gw_goods_list_cell_data_list or {}
    if self.srv_data.status == 1 or self.srv_data.status == 2 then
        for i,v in pairs(self.gw_goods_list_cell_data_list) do
            if v.day < self.srv_data.current_day then
                v.is_getted = true
                v.is_can_get = false
            elseif v.day > self.srv_data.current_day then
                v.is_getted = false
                v.is_can_get = false
            else
                if self.srv_data.status == 1 then
                    v.is_getted = false
                    v.is_can_get = true
                else
                    v.is_getted = true
                    v.is_can_get = false
                end
            end
        end
    else
        for i,v in pairs(self.gw_goods_list_cell_data_list) do
            v.is_getted = false
            v.is_can_get = false
        end
    end

    self.goods_list_scrollview:reloadData(nil, nil, is_keep_position)
    self.goods_list:setVisible(true)
end
--创建cell
--@width 是setting.item_width
--@height 是setting.item_height
function ActionFundOnePanel:gw_goodsListCreateNewCell(width, height)
    local cell = ActionFuncOneItem.new()
    cell:addCallBack(function() self:_onClickGetBtn(cell) end)
    return cell
end
--获取数据数量
function ActionFundOnePanel:gw_goodsListNumberOfCells()
    if not self.gw_goods_list_cell_data_list then return 0 end
    return #self.gw_goods_list_cell_data_list
end
--更新cell(拖动的时候.刷新数据时候会执行次方法)
--cell :createNewCell的返回的对象
--inde :数据的索引
function ActionFundOnePanel:gw_goodsListUpdateCellByIndex(cell, index)
    if not self.gw_goods_list_cell_data_list then return end
    cell.index = index
    local cell_data = self.gw_goods_list_cell_data_list[index]
    if not cell_data then return end
    cell:setData(cell_data)
end


----------------------@ 子项
ActionFuncOneItem = class("ActionFuncOneItem", function()
    return ccui.Widget:create()
end)

function ActionFuncOneItem:ctor()
	self:configUI()
	self:register_event()
end

function ActionFuncOneItem:configUI(  )
	self.root_wnd = createCSBNote(PathTool.getTargetCSB("action/gw_action_fund_item"))
    self:addChild(self.root_wnd)
    self:setCascadeOpacityEnabled(true)
    self:setContentSize(cc.size(154, 154))
    self:setAnchorPoint(0,0)

    self.container = self.root_wnd:getChildByName("container")

    self.day_node = self.container:getChildByName("day_node")
    self.day_num = CommonNum.new(142, self.day_node, "05", -40, cc.p(1, 0.5))
    self.day_num:setPosition(0, 0)
    self.day_num:setScale(1)
    self.item_node = self.container:getChildByName("item_node")
    self.getted = self.container:getChildByName("getted")
    self.can_get = self.container:getChildByName("can_get")
    self.get_btn = self.container:getChildByName("get_btn")
    self.get_btn:addTouchEventListener(function(sender, event_type)
        --customClickAction(sender, event_type)
        if event_type == ccui.TouchEventType.ended then
            playButtonSound2()
            if self.callback then
                self:callback(self)
            end
        end
    end)

    --self.txt_time = self.container:getChildByName("txt_time")
end

function ActionFuncOneItem:register_event(  )
	
end

function ActionFuncOneItem:setData( data )
	if not data then return end

    local day_num_str = "01"
    if data.day then
        if data.day < 10 then
            day_num_str = "0"..data.day
        else
            day_num_str = data.day
        end
    end
    self.day_num:setNum(day_num_str)
    local bid = data.award[1][1]
    local num = data.award[1][2]
    if not self.gw_item then
        self.gw_item = GW_GoodsItem3.new(false, true, false, 1, false, true)
        self.gw_item:setDefaultTip(true,false)
        self.gw_item:gw_showShadow()
        self.gw_item:setPosition(cc.p(0, 0))
        self.item_node:addChild(self.gw_item)
    end
    self.gw_item:setBaseData(bid, num)

    self.getted:setVisible(data.is_getted)
    self.can_get:setVisible(data.is_can_get)
    self.get_btn:setVisible(data.is_can_get)
    
    --local bid = data.award[1][1]
    --local num = data.award[1][2]
    --if not self.item_node then
    --    self.item_node = BackPackItem.new(false, true, false, 0.8, false, true)
    --    self.item_node:setDefaultTip(true,false)
    --    local container_size = self.container:getContentSize()
    --    self.item_node:setPosition(cc.p(container_size.width/2, 78))
    --    self.container:addChild(self.item_node)
    --end
    --self.item_node:setBaseData(bid, num)
    --self.txt_time:setString(string.format(TI18N("累计%d天"), data.day or 1))
    ---- 设物品特效
    --if self.item_effect == nil then
    --    if data.show_effect then
    --        local pos_x = self.item_node:getContentSize().width / 2
    --        local pos_y = self.item_node:getContentSize().height / 2
    --        self.item_effect = createEffectSpine(PathTool.getEffectRes(263), cc.p(pos_x, pos_y), cc.p(0.5, 0.5), true, "action1")
    --        self.item_effect:setScale(1.1)
    --        self.item_node:addChild(self.item_effect)
    --    end
    --elseif data.show_effect then
    --    self.item_effect:setVisible(true)
    --else
    --    self.item_effect:setVisible(false)
    --end
end
--==============================--
--desc:点击回调
--time:2017-07-03 08:02:23
--@callback:
--@return
--==============================--
function ActionFuncOneItem:addCallBack(callback)
    self.callback = callback
end
function ActionFuncOneItem:DeleteMe(  )
    --if self.item_effect then
    --    self.item_effect:clearTracks()
    --    self.item_effect:removeFromParent()
    --    self.item_effect = nil
    --end
    if self.gw_item then
        self.gw_item:DeleteMe()
        self.gw_item = nil
    end
	self:removeAllChildren()
	self:removeFromParent()
end